## python-pyface 8.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyface.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyface.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-pyface 4.0.0

=== debian/changelog ===
python-pyface (4.0.0-1) unstable; urgency=low

  * Initial upload
  * Replaces python-traitsbackend{wx,qt} packages

 -- Varun Hiremath <varun@debian.org>  Sat, 09 Jul 2011 10:57:54 -0400

=== debian/control ===
Source: python-pyface
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs, debhelper, python-all
Build-Depends-Indep: python-setupdocs
Standards-Version: 3.9.2
Homepage: http://pypi.python.org/pypi/pyface
X-Python-Version: >= 2.5
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pyface/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-pyface/trunk/

Package: python-pyface
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-wxgtk2.8, python-qt4
Breaks: python-traitsbackendqt, python-traitsbackendwx
Replaces: python-traitsbackendqt, python-traitsbackendwx
Description: traits-capable windowing framework
 The pyface project contains a toolkit-independent GUI abstraction
 layer, which is used to support the "visualization" features of the
 Traits package. Thus, you can write code in terms of the Traits API
 (views, items, editors, etc.), and let pyface and your selected
 toolkit and back-end take care of the details of displaying them.
 .
 The following GUI backends are supported:
  o wxPython
  o PyQt
  o PySide

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://www.enthought.com/repo/ets/pyface-(.*).tar.gz \
debian debian/orig-tar.sh

## python-pyface 4.1.0

=== debian/changelog ===
python-pyface (4.1.0-1ubuntu3) trusty; urgency=medium

  * Let the binary-predeb target work on the usr/lib/python* directory as we
    don't have usr/share/pyshared anymore.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2014 16:01:38 +0100

python-pyface (4.1.0-1ubuntu2) quantal; urgency=low

  * Undo changes from -1ubuntu1 as the reason for them got reverted.
    The package can be synced on next occasion.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 01 Oct 2012 18:12:52 +0200

python-pyface (4.1.0-1ubuntu1) quantal; urgency=low

  * debian/rules:
    Let the binary-predeb target work on the usr/lib/python* directory as we
    don't have usr/share/pyshared anymore.

 -- Michael Bienia <geser@ubuntu.com>  Sun, 20 May 2012 13:02:32 +0200

python-pyface (4.1.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3

 -- Varun Hiremath <varun@debian.org>  Mon, 23 Apr 2012 15:36:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-pyface
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: cdbs, debhelper, python-all
 Build-Depends-Indep: python-setupdocs
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pypi.python.org/pypi/pyface
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pyface/trunk

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE		:= .py
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
PYSHARED			 = $(DEB_DESTDIR)/usr/lib/python2.?

install/python-pyface::
	find $(DEB_DESTDIR) -name 'image_LICENSE.txt' -delete

binary-predeb/python-pyface::
	find $(PYSHARED) -type f | xargs chmod 644

get-orig-source:
	-uscan --force-download --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://pypi.python.org/pypi/pyface .*pyface-(.*).tar.gz \
debian debian/orig-tar.sh

## python-pyface 4.4.0

=== debian/changelog ===
python-pyface (4.4.0-2) unstable; urgency=medium

  [ Olly Betts ]
  * Update for wxpython3.0 (Closes: #757313):
    + New patch: wxpy3.0-compat.patch

  [ Varun Hiremath ]
  * Apply patch provided by Olly Betts, thanks!
  * Acknowledge last NMU by Jonathan Wiltshire, thanks!

 -- Varun Hiremath <varun@debian.org>  Wed, 03 Sep 2014 00:10:14 -0400

python-pyface (4.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Set permissions in /usr/lib/python*, not /usr/share/pyshared
    Closes: #751065

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 06 Jul 2014 21:19:22 +0100

python-pyface (4.4.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Varun Hiremath ]
  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Varun Hiremath <varun@debian.org>  Sat, 15 Mar 2014 23:44:36 -0400

=== debian/control ===
Source: python-pyface
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs, debhelper, python-all
Build-Depends-Indep: python-setupdocs
Standards-Version: 3.9.5
Homepage: http://pypi.python.org/pypi/pyface
X-Python-Version: >= 2.5
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pyface/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pyface/trunk/

Package: python-pyface
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-wxgtk3.0, python-qt4
Breaks: python-traitsbackendqt, python-traitsbackendwx
Replaces: python-traitsbackendqt, python-traitsbackendwx
Description: traits-capable windowing framework
 The pyface project contains a toolkit-independent GUI abstraction
 layer, which is used to support the "visualization" features of the
 Traits package. Thus, you can write code in terms of the Traits API
 (views, items, editors, etc.), and let pyface and your selected
 toolkit and back-end take care of the details of displaying them.
 .
 The following GUI backends are supported:
  o wxPython
  o PyQt
  o PySide

## python-pyface 4.5.2

=== debian/changelog ===
python-pyface (4.5.2-1) unstable; urgency=medium

  * New upstream release
  * Acknowledge previous NMU, thanks!
  * Bump Standards-Version to 3.9.6
  * Fix the watch file
  * Refresh the wxpy3.0-compat.patch file

 -- Varun Hiremath <varun@debian.org>  Sun, 16 Aug 2015 22:13:14 -0400

python-pyface (4.4.0-2.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's permission.
  * Need wx.NullColour instead of wx.NullColor for wxPython3, so update patch
    wxpy3.0-compat.patch

 -- Olly Betts <olly@survex.com>  Thu, 26 Mar 2015 18:11:47 +1300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: cdbs, debhelper, python-all
 Build-Depends-Indep: python-setupdocs
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://pypi.python.org/pypi/pyface
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pyface/trunk/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE		:= .py
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
PYSHARED			 = $(DEB_DESTDIR)/usr/share/pyshared
PYLIBS               = $(DEB_DESTDIR)/usr/lib/python*

install/python-pyface::
	find $(DEB_DESTDIR) -name 'image_LICENSE.txt' -delete

binary-predeb/python-pyface::
	find $(PYLIBS) -type f | xargs chmod 644

get-orig-source:
	-uscan --force-download --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://pypi.debian.net/pyface/pyface-(.*).tar.gz \
debian debian/orig-tar.sh

## python-pyface 6.1.2

=== debian/changelog ===
python-pyface (6.1.2-2) unstable; urgency=medium

  * Team upload.
    - Mostly no-change but needed to let the package migrate to testing.
  * Change pypi.python.org links to pypi.org.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 09 Dec 2019 23:51:04 +0300

python-pyface (6.1.2-1) unstable; urgency=medium

  * Team Upload

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * Remove debian/pycompat, it's not used by any modern Python helper
  * Convert git repository from git-dpm to gbp layout
  * Bump Standards-Version to 4.4.1.

  [ Andreas Tille ]
  * New upstream version
  * Fixed watch file (dropped unneeded get-orig-source stuff)
  * debhelper-compat 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.4.0
  * Testsuite: autopkgtest-pkg-python
  * Use Python3
    Closes: #938063
  * python3-pyqt5
    Closes: #935349
  * Use dh-python and pybuild
    Closes: #671217
  * d/changelog: Use DEP5 format

  [ Scott Talbert ]
  * d/control: Switch to use PyQt5 backend which seems best supported
  * d/rules: Get the tests working

  [ Dmitry Shachnev ]
  * Add pyface/_version.py and some files from egg-info to debian/clean.
  * Add pyface.egg-info to debian/pybuild.testfiles to get the tests running
    without nose.
  * Tell pybuild to install the original icons.zip and std.zip files.
    Without this, the files get repacked during test, and differ between
    python3.7 and python3.8 because of differing timestamps, so dh_python3
    does not remove the files in /usr/lib/python3.8/dist-packages.
  * Update debian/copyright.

 -- Scott Talbert <swt@techie.net>  Fri, 06 Dec 2019 16:00:24 -0500

=== debian/control ===
Source: python-pyface
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-mock <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pygments <!nocheck>,
               python3-pyqt5 <!nocheck>,
               python3-pyqt5.qtopengl <!nocheck>,
               python3-pyqt5.qtsvg <!nocheck>,
               python3-pyqt5.qtwebkit <!nocheck>,
               python3-setuptools,
               python3-six <!nocheck>,
               python3-traits <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyface
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyface.git
Homepage: https://pypi.org/project/pyface/

Package: python3-pyface
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-pygments,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-pyqt5.qtsvg,
         python3-pyqt5.qtwebkit,
         python3-traits,
Description: traits-capable windowing framework
 The pyface project contains a toolkit-independent GUI abstraction
 layer, which is used to support the "visualization" features of the
 Traits package. Thus, you can write code in terms of the Traits API
 (views, items, editors, etc.), and let pyface and your selected
 toolkit and back-end take care of the details of displaying them.
 .
 The following GUI backends are supported:
  o wxPython
  o PyQt
  o PySide

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=pyface
export PYBUILD_AFTER_INSTALL=cp -v {dir}/pyface/image/library/*.zip {destdir}{install_dir}/pyface/image/library

## When trying better hardening the build fails
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" dh_auto_test
endif

## python-pyface 7.4.0

=== debian/changelog ===
python-pyface (7.4.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andreas Tille ]
  * New upstream version
    Closes: #1002395
  * Standards-Version: 4.6.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Prevent setup.py from reading git versions
  * Update name of sip module
    Closes: #966044
  * Add several Build-Depends needed for build time test
  * Versioned Build-Depends: python3-traits (>= 6)
  * Fix Homepage field
  * Fix argument type in Python3.10

 -- Andreas Tille <tille@debian.org>  Tue, 08 Feb 2022 15:44:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,33 @@
 Source: python-pyface
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-importlib-resources <!nocheck>,
                python3-mock <!nocheck>,
                python3-numpy <!nocheck>,
+               python3-packaging <!nocheck>,
                python3-pygments <!nocheck>,
                python3-pyqt5 <!nocheck>,
+               python3-pyqt5.qtmultimedia <!nocheck>,
                python3-pyqt5.qtopengl <!nocheck>,
                python3-pyqt5.qtsvg <!nocheck>,
                python3-pyqt5.qtwebkit <!nocheck>,
                python3-setuptools,
                python3-six <!nocheck>,
-               python3-traits <!nocheck>,
+               python3-traits (>= 6) <!nocheck>,
+               python3-wxgtk4.0 <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyface
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyface.git
-Homepage: https://pypi.org/project/pyface/
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyface
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyface.git
+Homepage: https://docs.enthought.com/pyface/
+Rules-Requires-Root: no
 
 Package: python3-pyface
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=pyface
export PYBUILD_AFTER_INSTALL=cp -v {dir}/pyface/image/library/*.zip {destdir}{install_dir}/pyface/image/library

include /usr/share/dpkg/default.mk
export DEB_VERSION_UPSTREAM:=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" dh_auto_test

## python-pyface 8.0.0

=== debian/changelog ===
python-pyface (8.0.0-1) unstable; urgency=medium

  [ Bo YU ]
  * Team upload.
  * New upstream version 8.0.0
  * rebase d/patch for 8.0.0-1
  * Update standards version to 4.6.2
  * Add B-D pybuild-plugin-pyproject
  * Skip test_pil_image tests. (Closes: #1042142)

  [ Jeroen Ploemen ]
  * Copyright: bump upstream years.
  * Rules: remove executable permissions of *.py files.

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 18 Sep 2023 14:31:56 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               pybuild-plugin-pyproject,
                python3-importlib-resources <!nocheck>,
                python3-mock <!nocheck>,
                python3-numpy <!nocheck>,
@@ -23,7 +24,7 @@
                python3-wxgtk4.0 <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyface
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyface.git
 Homepage: https://docs.enthought.com/pyface/

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 
 export PYBUILD_NAME=pyface
 export PYBUILD_AFTER_INSTALL=cp -v {dir}/pyface/image/library/*.zip {destdir}{install_dir}/pyface/image/library
+export PYBUILD_AFTER_INSTALL= \
+	cp -v {dir}/pyface/image/library/*.zip {destdir}{install_dir}/pyface/image/library ; \
+	find "{destdir}{install_dir}/pyface/" -name "*.py" | xargs -r chmod -c a-x
+
 
 include /usr/share/dpkg/default.mk
 export DEB_VERSION_UPSTREAM:=$(DEB_VERSION_UPSTREAM)

=== debian/watch ===
version=4

https://pypi.python.org/simple/pyface .*/pyface-@ANY_VERSION@@ARCHIVE_EXT@#sha256=.*
